# aim2dat

aim2dat (Automated Ab-Initio Materials Modeling and Data Analysis Toolkit) is a library for pre-, post-processing and data management of ab-initio high-throughput workflows for computational materials science.
For further details and documentation, please visit https://aim2dat.github.io.

## Feature List

* Managing and analysing sets of crystals and molecules.
* Ab-initio high-throughput calculations based on [AiiDA](https://www.aiida.net).
* Plotting material's properties such as electronic band structures, projected density of states or phase diagrams.
* Interface to machine learning routines via [sci-kit learn](https://scikit-learn.org/stable/).
* Function analysis: discretizing and comparing 2-dimensional functions.
* Parsers for the DFT codes [CP2K](https://www.cp2k.org/about), [FHI-Aims](https://fhi-aims.org) and [QuantumESPRESSO](https://www.quantum-espresso.org) as well as [phonopy](https://phonopy.github.io/phonopy/) and [critic2](https://aoterodelaroza.github.io/critic2/).

## Installation

```sh
pip install aim2dat
```

More detailed instructions are given in the documentation (https://aim2dat.github.io/installation.html).

## Contributing

Contributions are very welcome and are directly handled via the code's [github repository](https://github.com/aim2dat/aim2dat).
Bug reports, feature requests or general discussions can be accomplished by filing an [issue](https://github.com/aim2dat/aim2dat/issues).
Extensions or changes to the code can also be directly suggested by opening a [pull request](https://github.com/aim2dat/aim2dat/pulls).
Some guidelines for code contributions are given in the documentation (https://aim2dat.github.io/#contributing).
